## opencsg 1.3.1

=== glew/Makefile ===
#!gmake
## The OpenGL Extension Wrangler Library
## Copyright (C) 2002-2008, Milan Ikits <milan ikits[]ieee org>
## Copyright (C) 2002-2008, Marcelo E. Magallon <mmagallo[]debian org>
## Copyright (C) 2002, Lev Povalahev
## All rights reserved.
## 
## Redistribution and use in source and binary forms, with or without 
## modification, are permitted provided that the following conditions are met:
## 
## * Redistributions of source code must retain the above copyright notice, 
##   this list of conditions and the following disclaimer.
## * Redistributions in binary form must reproduce the above copyright notice, 
##   this list of conditions and the following disclaimer in the documentation 
##   and/or other materials provided with the distribution.
## * The name of the author may be used to endorse or promote products 
##   derived from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
## AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
## ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
## LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
## CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
## SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
## INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
## CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
## ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
## THE POSSIBILITY OF SUCH DAMAGE.

include config/version

SHELL = /bin/sh
SYSTEM = $(shell config/config.guess | cut -d - -f 3 | sed -e 's/[0-9\.]//g;')
SYSTEM.SUPPORTED = $(shell test -f config/Makefile.$(SYSTEM) && echo 1)

ifeq ($(SYSTEM.SUPPORTED), 1)
include config/Makefile.$(SYSTEM)
else
$(error "Platform '$(SYSTEM)' not supported")
endif

GLEW_DEST ?= /usr
BINDIR ?= $(GLEW_DEST)/bin
LIBDIR ?= $(GLEW_DEST)/lib
INCDIR ?= $(GLEW_DEST)/include/GL
SHARED_OBJ_EXT ?= o
TARDIR = ../glew-$(GLEW_VERSION)
TARBALL = ../glew-$(GLEW_VERSION).tar.gz

DIST_DIR     = glew-$(GLEW_VERSION)
DIST_WIN32   = glew-$(GLEW_VERSION)-win32.zip
DIST_SRC_ZIP = glew-$(GLEW_VERSION).zip
DIST_SRC_TGZ = glew-$(GLEW_VERSION).tgz

AR = ar
INSTALL = install
STRIP = strip
RM = rm -f
LN = ln -sf
ifeq ($(MAKECMDGOALS), debug)
OPT = -g
else
OPT = $(POPT)
endif
INCLUDE = -Iinclude
CFLAGS = $(OPT) $(WARN) $(INCLUDE) $(CFLAGS.EXTRA)

LIB.SRCS = src/glew.c
LIB.OBJS = $(LIB.SRCS:.c=.o)
LIB.SOBJS = $(LIB.SRCS:.c=.$(SHARED_OBJ_EXT))
LIB.LDFLAGS = $(LDFLAGS.EXTRA) $(LDFLAGS.GL)
LIB.LIBS = $(GL_LDFLAGS)

GLEWINFO.BIN = glewinfo$(BIN.SUFFIX)
GLEWINFO.BIN.SRCS = src/glewinfo.c
GLEWINFO.BIN.OBJS = $(GLEWINFO.BIN.SRCS:.c=.o)
VISUALINFO.BIN = visualinfo$(BIN.SUFFIX)
VISUALINFO.BIN.SRCS = src/visualinfo.c
VISUALINFO.BIN.OBJS = $(VISUALINFO.BIN.SRCS:.c=.o)
BIN.LIBS = -Llib $(LDFLAGS.DYNAMIC) -l$(NAME) $(LDFLAGS.EXTRA) $(LDFLAGS.GL)

all debug: lib/$(LIB.SHARED) lib/$(LIB.STATIC) bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN)

lib:
	mkdir lib

lib/$(LIB.STATIC): $(LIB.OBJS)
	$(AR) cr $@ $^

lib/$(LIB.SHARED): $(LIB.SOBJS)
	$(LD) $(LDFLAGS.SO) -o $@ $^ $(LIB.LDFLAGS) $(LIB.LIBS)
ifeq ($(patsubst mingw%,mingw,$(SYSTEM)), mingw)
else
	$(LN) $(LIB.SHARED) lib/$(LIB.SONAME)
	$(LN) $(LIB.SHARED) lib/$(LIB.DEVLNK)
endif

bin/$(GLEWINFO.BIN): $(GLEWINFO.BIN.OBJS) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(GLEWINFO.BIN.OBJS) $(BIN.LIBS)

bin/$(VISUALINFO.BIN): $(VISUALINFO.BIN.OBJS) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(VISUALINFO.BIN.OBJS) $(BIN.LIBS)

%.o: %.c
	$(CC) -c $(CFLAGS) -o $@ $<

src/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	$(CC) $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

src/glew.pic_o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	$(CC) $(CFLAGS) $(PICFLAG) $(CFLAGS.SO) -o $@ -c $<

install: all
# directories
	$(INSTALL) -d -m 0755 $(BINDIR)
	$(INSTALL) -d -m 0755 $(INCDIR)
	$(INSTALL) -d -m 0755 $(LIBDIR)
# runtime
ifeq ($(patsubst mingw%,mingw,$(SYSTEM)), mingw)
	$(STRIP) -x lib/$(LIB.SHARED)
	$(INSTALL) -m 0644 lib/$(LIB.SHARED) $(BINDIR)/
else
	$(STRIP) -x lib/$(LIB.SHARED)
	$(INSTALL) -m 0644 lib/$(LIB.SHARED) $(LIBDIR)/
	$(LN) $(LIB.SHARED) $(LIBDIR)/$(LIB.SONAME)
endif
# development files
	$(INSTALL) -m 0644 include/GL/wglew.h $(INCDIR)/
	$(INSTALL) -m 0644 include/GL/glew.h $(INCDIR)/
	$(INSTALL) -m 0644 include/GL/glxew.h $(INCDIR)/
ifeq ($(patsubst mingw%,mingw,$(SYSTEM)), mingw)
	$(INSTALL) -m 0644 lib/$(LIB.DEVLNK) $(LIBDIR)/
else
	$(STRIP) -x lib/$(LIB.STATIC)
	$(INSTALL) -m 0644 lib/$(LIB.STATIC) $(LIBDIR)/
	$(LN) $(LIB.SHARED) $(LIBDIR)/$(LIB.DEVLNK)
endif
# utilities
	$(INSTALL) -s -m 0755 bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN) $(BINDIR)/

uninstall:
	$(RM) $(INCDIR)/wglew.h
	$(RM) $(INCDIR)/glew.h
	$(RM) $(INCDIR)/glxew.h
	$(RM) $(LIBDIR)/$(LIB.DEVLNK)
ifeq ($(patsubst mingw%,mingw,$(SYSTEM)), mingw)
	$(RM) $(BINDIR)/$(LIB.SHARED)
else
	$(RM) $(LIBDIR)/$(LIB.SONAME)
	$(RM) $(LIBDIR)/$(LIB.SHARED)
	$(RM) $(LIBDIR)/$(LIB.STATIC)
endif
	$(RM) $(BINDIR)/$(GLEWINFO.BIN) $(BINDIR)/$(VISUALINFO.BIN)

clean:
	$(RM) $(LIB.OBJS)
	$(RM) $(LIB.SOBJS)
	$(RM) lib/$(LIB.STATIC) lib/$(LIB.SHARED) lib/$(LIB.DEVLNK) lib/$(LIB.SONAME) $(LIB.STATIC)
	$(RM) $(GLEWINFO.BIN.OBJS) bin/$(GLEWINFO.BIN) $(VISUALINFO.BIN.OBJS) bin/$(VISUALINFO.BIN)
# Compiler droppings
	$(RM) so_locations

distclean: clean
	find . -name \*~ | xargs $(RM)
	find . -name .\*.sw\? | xargs $(RM)

tardist:
	$(RM) -r $(TARDIR)
	mkdir $(TARDIR)
	cp -a . $(TARDIR)
	find $(TARDIR) -name CVS -o -name .cvsignore | xargs $(RM) -r
	find $(TARDIR) -name .svn | xargs $(RM) -r
	$(MAKE) -C $(TARDIR) distclean
	$(MAKE) -C $(TARDIR)
	$(MAKE) -C $(TARDIR) distclean
	$(RM) -r $(TARDIR)/auto/registry
	env GZIP=-9 tar -C `dirname $(TARDIR)` -cvzf $(TARBALL) `basename $(TARDIR)`

dist-win32:
	$(RM) -r $(TARDIR)
	mkdir -p $(TARDIR)
	mkdir -p $(TARDIR)/bin
	mkdir -p $(TARDIR)/lib
	cp -a include $(TARDIR)
	cp -a doc $(TARDIR)
	cp -a *.txt $(TARDIR)
	cp -a lib/glew32.lib     $(TARDIR)/lib
	cp -a lib/glew32s.lib    $(TARDIR)/lib
	cp -a bin/glew32.dll     $(TARDIR)/bin
	cp -a bin/glewinfo.exe   $(TARDIR)/bin
	cp -a bin/visualinfo.exe $(TARDIR)/bin
	find $(TARDIR) -name CVS -o -name .cvsignore | xargs $(RM) -r
	find $(TARDIR) -name .svn | xargs $(RM) -r
	unix2dos $(TARDIR)/include/GL/*.h
	unix2dos $(TARDIR)/doc/*.txt
	unix2dos $(TARDIR)/doc/*.html
	unix2dos $(TARDIR)/*.txt
	rm -f ../$(DIST_WIN32)
	cd .. && zip -rv9 $(DIST_WIN32) $(DIST_DIR)

dist-src:
	$(RM) -r $(TARDIR)
	mkdir -p $(TARDIR)
	mkdir -p $(TARDIR)/bin
	mkdir -p $(TARDIR)/lib
	cp -a auto $(TARDIR)
	$(RM) -Rf $(TARDIR)/auto/registry
	cp -a build $(TARDIR)
	cp -a config $(TARDIR)
	cp -a src $(TARDIR)
	cp -a doc $(TARDIR)
	cp -a include $(TARDIR)
	cp -a *.txt $(TARDIR)
	cp -a Makefile $(TARDIR)
	find $(TARDIR) -name '*.o' | xargs $(RM) -r
	find $(TARDIR) -name '*.pic_o' | xargs $(RM) -r
	find $(TARDIR) -name '*~' | xargs $(RM) -r
	find $(TARDIR) -name CVS -o -name .cvsignore | xargs $(RM) -r
	find $(TARDIR) -name .svn | xargs $(RM) -r
	unix2dos $(TARDIR)/config/*
	unix2dos $(TARDIR)/auto/core/*
	unix2dos $(TARDIR)/auto/extensions/*
	find $(TARDIR) -name '*.h' | xargs unix2dos
	find $(TARDIR) -name '*.c' | xargs unix2dos
	find $(TARDIR) -name '*.txt' | xargs unix2dos
	find $(TARDIR) -name '*.html' | xargs unix2dos
	find $(TARDIR) -name '*.sh' | xargs unix2dos
	find $(TARDIR) -name '*.pl' | xargs unix2dos
	find $(TARDIR) -name 'Makefile' | xargs unix2dos
	rm -f ../$(DIST_SRC_ZIP)
	cd .. && zip -rv9 $(DIST_SRC_ZIP) $(DIST_DIR)
	dos2unix $(TARDIR)/config/*
	dos2unix $(TARDIR)/auto/core/*
	dos2unix $(TARDIR)/auto/extensions/*
	find $(TARDIR) -name '*.h' | xargs dos2unix
	find $(TARDIR) -name '*.c' | xargs dos2unix
	find $(TARDIR) -name '*.txt' | xargs dos2unix
	find $(TARDIR) -name '*.html' | xargs dos2unix
	find $(TARDIR) -name '*.sh' | xargs dos2unix
	find $(TARDIR) -name '*.pl' | xargs dos2unix
	find $(TARDIR) -name 'Makefile' | xargs dos2unix
	cd .. && env GZIP=-9 tar cvzf $(DIST_SRC_TGZ) $(DIST_DIR)

extensions:
	$(MAKE) -C auto

.PHONY: clean distclean tardist dist-win32 dist-src

=== src/Makefile ===
#############################################################################
# Makefile for building: libopencsg.so.1.3.1
# Generated by qmake (1.07a) (Qt 3.3.8b) on: Fri Jan 29 22:15:11 2010
# Project:  src.pro
# Template: lib
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -fPIC 
CXXFLAGS = -pipe -Wall -W -O2 -fPIC
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I. -I../include -I../glew/include -I.. -I/usr/X11R6/include
LINK     = g++
LFLAGS   =  -shared -Wl,-soname,libopencsg.so.1 -Wl,-rpath,../lib
LIBS     = $(SUBLIBS) -L/usr/X11R6/lib -lGLU -lGL -lXmu
AR       = ar cqs
RANLIB   = 
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = ../include/opencsg.h \
		opencsgConfig.h \
		area.h \
		batch.h \
		context.h \
		channelManager.h \
		frameBufferObject.h \
		frameBufferObjectExt.h \
		occlusionQuery.h \
		offscreenBuffer.h \
		opencsgRender.h \
		openglHelper.h \
		pBufferTexture.h \
		primitiveHelper.h \
		scissorMemo.h \
		settings.h \
		stencilManager.h \
		../RenderTexture/RenderTexture.h
SOURCES = area.cpp \
		batch.cpp \
		context.cpp \
		channelManager.cpp \
		frameBufferObject.cpp \
		frameBufferObjectExt.cpp \
		occlusionQuery.cpp \
		offscreenBuffer.cpp \
		opencsgRender.cpp \
		openglHelper.cpp \
		pBufferTexture.cpp \
		primitive.cpp \
		primitiveHelper.cpp \
		renderGoldfeather.cpp \
		renderSCS.cpp \
		scissorMemo.cpp \
		settings.cpp \
		stencilManager.cpp \
		../RenderTexture/RenderTexture.cpp
OBJECTS = area.o \
		batch.o \
		context.o \
		channelManager.o \
		frameBufferObject.o \
		frameBufferObjectExt.o \
		occlusionQuery.o \
		offscreenBuffer.o \
		opencsgRender.o \
		openglHelper.o \
		pBufferTexture.o \
		primitive.o \
		primitiveHelper.o \
		renderGoldfeather.o \
		renderSCS.o \
		scissorMemo.o \
		settings.o \
		stencilManager.o \
		RenderTexture.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = src.pro
QMAKE_TARGET = opencsg
DESTDIR  = ../lib/
TARGET   = libopencsg.so.1.3.1
TARGETA	= ../lib/libopencsg.a
TARGETD	= libopencsg.so.1.3.1
TARGET0	= libopencsg.so
TARGET1	= libopencsg.so.1
TARGET2	= libopencsg.so.1.3

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../lib/$(TARGET)

../lib/$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)  
	test -d ../lib/ || mkdir -p ../lib/
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(DEL_FILE) ../lib/$(TARGET0)
	-$(DEL_FILE) ../lib/$(TARGET1)
	-$(DEL_FILE) ../lib/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../lib/



staticlib: $(TARGETA)

$(TARGETA):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(OBJCOMP)
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

dist: 
	@mkdir -p .tmp/opencsg && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/opencsg/ && ( cd `dirname .tmp/opencsg` && $(TAR) opencsg.tar opencsg && $(GZIP) opencsg.tar ) && $(MOVE) `dirname .tmp/opencsg`/opencsg.tar.gz . && $(DEL_FILE) -r .tmp/opencsg

yaccclean:
lexclean:
clean:
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../lib/$(TARGET) $(TARGET)
	-$(DEL_FILE) ../lib/$(TARGET0) ../lib/$(TARGET1) ../lib/$(TARGET2) $(TARGETA)


FORCE:

####### Compile

area.o: area.cpp opencsgConfig.h \
		area.h \
		openglHelper.h

batch.o: batch.cpp opencsgConfig.h \
		batch.h \
		primitiveHelper.h \
		area.h

context.o: context.cpp opencsgConfig.h \
		context.h \
		offscreenBuffer.h

channelManager.o: channelManager.cpp opencsgConfig.h \
		channelManager.h \
		offscreenBuffer.h \
		openglHelper.h \
		settings.h \
		area.h

frameBufferObject.o: frameBufferObject.cpp opencsgConfig.h \
		frameBufferObject.h \
		offscreenBuffer.h

frameBufferObjectExt.o: frameBufferObjectExt.cpp opencsgConfig.h \
		frameBufferObjectExt.h \
		offscreenBuffer.h

occlusionQuery.o: occlusionQuery.cpp opencsgConfig.h \
		occlusionQuery.h

offscreenBuffer.o: offscreenBuffer.cpp opencsgConfig.h \
		context.h \
		offscreenBuffer.h \
		frameBufferObject.h \
		frameBufferObjectExt.h \
		pBufferTexture.h

opencsgRender.o: opencsgRender.cpp opencsgConfig.h \
		opencsgRender.h \
		primitiveHelper.h \
		settings.h \
		area.h

openglHelper.o: openglHelper.cpp opencsgConfig.h \
		openglHelper.h \
		area.h

pBufferTexture.o: pBufferTexture.cpp opencsgConfig.h \
		pBufferTexture.h \
		offscreenBuffer.h

primitive.o: primitive.cpp opencsgConfig.h

primitiveHelper.o: primitiveHelper.cpp opencsgConfig.h \
		openglHelper.h \
		primitiveHelper.h \
		area.h

renderGoldfeather.o: renderGoldfeather.cpp opencsgConfig.h \
		opencsgRender.h \
		batch.h \
		channelManager.h \
		occlusionQuery.h \
		openglHelper.h \
		primitiveHelper.h \
		scissorMemo.h \
		stencilManager.h \
		area.h

renderSCS.o: renderSCS.cpp opencsgConfig.h \
		opencsgRender.h \
		batch.h \
		channelManager.h \
		occlusionQuery.h \
		openglHelper.h \
		primitiveHelper.h \
		scissorMemo.h \
		area.h

scissorMemo.o: scissorMemo.cpp opencsgConfig.h \
		openglHelper.h \
		scissorMemo.h \
		area.h \
		channelManager.h

settings.o: settings.cpp opencsgConfig.h

stencilManager.o: stencilManager.cpp opencsgConfig.h \
		area.h \
		openglHelper.h \
		stencilManager.h

RenderTexture.o: ../RenderTexture/RenderTexture.cpp ../RenderTexture/RenderTexture.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o RenderTexture.o ../RenderTexture/RenderTexture.cpp

####### Install

install: all 

uninstall:

=== debian/changelog ===
opencsg (1.3.1-5) unstable; urgency=low

  * Minor man page modifications.
  * Update of build dependencies for GLEW 1.6 transition.
  * Change to Standards-Version 3.9.2 (no changes).

 -- Christian M. Amsüss <chrysn@fsfe.org>  Sun, 07 Aug 2011 14:29:41 +0200

opencsg (1.3.1-4) unstable; urgency=low

  * Build -dbg package
  * Change Standards-Version to 3.9.1 (no changes)
  * Reference the git repository in the debian patch

 -- Christian M. Amsüss <chrysn@fsfe.org>  Sun, 06 Mar 2011 13:58:23 +0100

opencsg (1.3.1-3) unstable; urgency=low

  * Fix -dev package's symlink .so that pointed to old version

 -- Christian M. Amsüss <chrysn@fsfe.org>  Fri, 11 Jun 2010 14:20:38 +0200

opencsg (1.3.1-2) unstable; urgency=low

  * Package example program as opencsg-example (with new man page)
  * Ship HTML documentation
    - all packages' documentation symlinked to libopencsg1
    - register with doc-base

 -- Christian M. Amsüss <chrysn@fsfe.org>  Fri, 11 Jun 2010 12:43:25 +0200

opencsg (1.3.1-1) unstable; urgency=low

  * New upstream version
    - added GPL exception for linking against CGAL
  * Fixed copyright file
    - GPL-2 instead of GPL-2+
    - included copyright data for glew

 -- Christian M. Amsüss <chrysn@fsfe.org>  Wed, 09 Jun 2010 23:06:07 +0200

opencsg (1.3.0-2) unstable; urgency=low

  * Added Vcs fields
  * Fix short package descriptions (were flipped for library and -dev package)
  * Use dh overrides in autoinstall for better control

 -- Christian M. Amsüss <chrysn@fsfe.org>  Sat, 29 May 2010 14:02:47 +0200

opencsg (1.3.0-1) unstable; urgency=low

  * Initial packaging
  * Modify main Makefile to ignore the shipped GLEW and the example app
  * Modify src/Makefile to not tamper with --rpath (cf. lintian's
    binary-or-shlib-defines-rpath)

 -- Christian M. Amsüss <chrysn@fsfe.org>  Mon, 22 Feb 2010 21:30:49 +0100

=== debian/control ===
Source: opencsg
Priority: optional
Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
Build-Depends: debhelper (>= 7.0.50~), freeglut3-dev, libboost-dev, autotools-dev,
 libglew1.6-dev | libglew-dev, libxmu-dev
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Section: libs
Homepage: http://opencsg.org/
Vcs-Browser: http://gitorious.org/openscad-debian/opencsg/commits/master
Vcs-git: git://gitorious.org/openscad-debian/opencsg.git/

Package: libopencsg-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopencsg1 (= ${binary:Version})
Description: image-based CSG library using OpenGL (development files)
 OpenCSG is a library for CGS (Constructive Solid Geometry) that can combine
 geometric primitives to more complex objects, for example the difference
 between two primitives. Instead of explicitly calculating the shape of the
 resulting object, it uses OpenGL's z-buffer to render the image.
 .
 OpenCSG implements both the Goldfeather and the SCS algorithm.
 .
 This package contains files needed to compile opencsg applications.

Package: libopencsg1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: image-based CSG (Constructive Solid Geometry) library using OpenGL
 OpenCSG is a library for CGS (Constructive Solid Geometry) that can combine
 geometric primitives to more complex objects, for example the difference
 between two primitives. Instead of explicitly calculating the shape of the
 resulting object, it uses OpenGL's z-buffer to render the image.
 .
 OpenCSG implements both the Goldfeather and the SCS algorithm.
 .
 This package contains shared library files.

Package: libopencsg-example
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: image-based CSG library using OpenGL (example program)
 OpenCSG is a library for CGS (Constructive Solid Geometry) that can combine
 geometric primitives to more complex objects, for example the difference
 between two primitives. Instead of explicitly calculating the shape of the
 resulting object, it uses OpenGL's z-buffer to render the image.
 .
 OpenCSG implements both the Goldfeather and the SCS algorithm.
 .
 This package contains a OpenCSG demo program.

Package: libopencsg1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libopencsg1 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debugging symbols for libopencsg
 OpenCSG is a library for CGS (Constructive Solid Geometry) that can combine
 geometric primitives to more complex objects, for example the difference
 between two primitives. Instead of explicitly calculating the shape of the
 resulting object, it uses OpenGL's z-buffer to render the image.
 .
 OpenCSG implements both the Goldfeather and the SCS algorithm.
 .
 This package contains the debugging symbols for libopencsg.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_install:
	# "Currently there is no automatic way for this." (build.txt)

	mkdir -p debian/tmp/usr/lib/
	mkdir -p debian/tmp/usr/include/

	cp -a lib/* debian/tmp/usr/lib/
	cp -a include/* debian/tmp/usr/include/

override_dh_auto_clean:
	dh_auto_clean
	# clean up everything!
	rm -rf lib/
	rm -rf debian/tmp

override_dh_installdocs:
	dh_installdocs --link-doc=libopencsg1

override_dh_strip:
	dh_strip --dbg-package=libopencsg1-dbg
